## Apache Zeta Components Manual :: Docs For Class ezcBaseInitInvalidCallbackClassException

### Base::ezcBaseInitInvalidCallbackClassException

### Class ezcBaseInitInvalidCallbackClassException

Exception that is thrown if an invalid class is passed as callback class for delayed object configuration.

Source for this file: /Base/src/exceptions/invalid_callback_class.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseInitInvalidCallbackClassException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $callbackClass )` Constructs a new ezcBaseInitInvalidCallbackClassException for the $callbackClass.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $callbackClass )

Constructs a new ezcBaseInitInvalidCallbackClassException for the $callbackClass.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$callbackClass` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3